package com.chinaitop.depot.intelligent.basicdata.model;

import java.math.BigDecimal;
import java.util.Date;

public class TNRoomInfo {
    private String id;

    private String orgId;

    private String vdevcode;

    private String nitrogenhouse;

    private String sitecode;

    private BigDecimal purity;

    private BigDecimal temperature;

    private BigDecimal pressure;

    private BigDecimal flow;

    private String signal;

    private String airsignal;

    private Integer valarmstatue;

    private Integer vstatue;

    private Date updatetime;

    private String remark;

    private Integer delFlag;

    /**
     * 氮气房信息id 32位
     * @return id 氮气房信息id 32位
     */
    public String getId() {
        return id;
    }

    /**
     * 氮气房信息id 32位
     * @param id 氮气房信息id 32位
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 库房id
     * @return org_id 库房id
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 库房id
     * @param orgId 库房id
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

    /**
     * 设备编码
     * @return vdevcode 设备编码
     */
    public String getVdevcode() {
        return vdevcode;
    }

    /**
     * 设备编码
     * @param vdevcode 设备编码
     */
    public void setVdevcode(String vdevcode) {
        this.vdevcode = vdevcode == null ? null : vdevcode.trim();
    }

    /**
     * 氮气房名称
     * @return nitrogenhouse 氮气房名称
     */
    public String getNitrogenhouse() {
        return nitrogenhouse;
    }

    /**
     * 氮气房名称
     * @param nitrogenhouse 氮气房名称
     */
    public void setNitrogenhouse(String nitrogenhouse) {
        this.nitrogenhouse = nitrogenhouse == null ? null : nitrogenhouse.trim();
    }

    /**
     * 站点编号
     * @return sitecode 站点编号
     */
    public String getSitecode() {
        return sitecode;
    }

    /**
     * 站点编号
     * @param sitecode 站点编号
     */
    public void setSitecode(String sitecode) {
        this.sitecode = sitecode == null ? null : sitecode.trim();
    }

    /**
     * 纯度
     * @return purity 纯度
     */
    public BigDecimal getPurity() {
        return purity;
    }

    /**
     * 纯度
     * @param purity 纯度
     */
    public void setPurity(BigDecimal purity) {
        this.purity = purity;
    }

    /**
     * 温度
     * @return temperature 温度
     */
    public BigDecimal getTemperature() {
        return temperature;
    }

    /**
     * 温度
     * @param temperature 温度
     */
    public void setTemperature(BigDecimal temperature) {
        this.temperature = temperature;
    }

    /**
     * 压力
     * @return pressure 压力
     */
    public BigDecimal getPressure() {
        return pressure;
    }

    /**
     * 压力
     * @param pressure 压力
     */
    public void setPressure(BigDecimal pressure) {
        this.pressure = pressure;
    }

    /**
     * 流量
     * @return flow 流量
     */
    public BigDecimal getFlow() {
        return flow;
    }

    /**
     * 流量
     * @param flow 流量
     */
    public void setFlow(BigDecimal flow) {
        this.flow = flow;
    }

    /**
     * 制氮机信号
     * @return signal 制氮机信号
     */
    public String getSignal() {
        return signal;
    }

    /**
     * 制氮机信号
     * @param signal 制氮机信号
     */
    public void setSignal(String signal) {
        this.signal = signal == null ? null : signal.trim();
    }

    /**
     * 空压机信号
     * @return airsignal 空压机信号
     */
    public String getAirsignal() {
        return airsignal;
    }

    /**
     * 空压机信号
     * @param airsignal 空压机信号
     */
    public void setAirsignal(String airsignal) {
        this.airsignal = airsignal == null ? null : airsignal.trim();
    }

    /**
     * 设备状态 0:正常；1：异常
     * @return valarmstatue 设备状态 0:正常；1：异常
     */
    public Integer getValarmstatue() {
        return valarmstatue;
    }

    /**
     * 设备状态 0:正常；1：异常
     * @param valarmstatue 设备状态 0:正常；1：异常
     */
    public void setValarmstatue(Integer valarmstatue) {
        this.valarmstatue = valarmstatue;
    }

    /**
     * 操作状态 0关闭，1打开，2反正，3停止
     * @return vstatue 操作状态 0关闭，1打开，2反正，3停止
     */
    public Integer getVstatue() {
        return vstatue;
    }

    /**
     * 操作状态 0关闭，1打开，2反正，3停止
     * @param vstatue 操作状态 0关闭，1打开，2反正，3停止
     */
    public void setVstatue(Integer vstatue) {
        this.vstatue = vstatue;
    }

    /**
     * 更新时间
     * @return updatetime 更新时间
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 更新时间
     * @param updatetime 更新时间
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    /**
     * 备注
     * @return remark 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark 备注
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**
     * 删除标志（0：删除，1：未删除）
     * @return del_flag 删除标志（0：删除，1：未删除）
     */
    public Integer getDelFlag() {
        return delFlag;
    }

    /**
     * 删除标志（0：删除，1：未删除）
     * @param delFlag 删除标志（0：删除，1：未删除）
     */
    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}